com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_netinterface_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_netinterface_t

- Enclosing interface:
    Perfstat

      @Structure.FieldOrder(value={"name","description","type","mtu","ipackets","ibytes","ierrors","opackets","obytes","oerrors","collisions","bitrate","xmitdrops","version","if_iqdrops","if_arpdrops"})
      public static class Perfstat.perfstat_netinterface_t
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bitrate`
    `long` | `collisions`
    `byte[]` | `description`
    `long` | `ibytes`
    `long` | `ierrors`
    `long` | `if_arpdrops`
    `long` | `if_iqdrops`
    `long` | `ipackets`
    `long` | `mtu`
    `byte[]` | `name`
    `long` | `obytes`
    `long` | `oerrors`
    `long` | `opackets`
    `byte` | `type`
    `long` | `version`
    `long` | `xmitdrops`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `perfstat_netinterface_t()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public byte[] name

    - #### description

          public byte[] description

    - #### type

          public byte type

    - #### mtu

          public long mtu

    - #### ipackets

          public long ipackets

    - #### ibytes

          public long ibytes

    - #### ierrors

          public long ierrors

    - #### opackets

          public long opackets

    - #### obytes

          public long obytes

    - #### oerrors

          public long oerrors

    - #### collisions

          public long collisions

    - #### bitrate

          public long bitrate

    - #### xmitdrops

          public long xmitdrops

    - #### version

          public long version

    - #### if_iqdrops

          public long if_iqdrops

    - #### if_arpdrops

          public long if_arpdrops

  - ### Constructor Detail

    - #### perfstat_netinterface_t

          public perfstat_netinterface_t()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.